Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Graphical frontend to CVS.
Name:      	crossvc
Version:   	1.5.2
Release:   	2
License: 	GNU/GPL
URL:		http://www.lincvs.org
Group:     	Development/Tools
Source0: 	%{name}-%{version}-0-generic-src.tgz
Source1:	crossvc.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt-devel
Requires:	qt cvs subversion
Obsoletes:	lincvs

%define installdir CrossVC

%description
CrossVC is a graphical Interface for the cvs client commandline tool on
the Unix, Windows and Mac OS X platform. It allows to load modules from
a server (checkout), create modules on the server (import), as well as
checking the state of directories and individual files or updating them.
Basic operations like add, remove and commit are supported as matter of
course, just like showing the actual differences between the server
version and the local sandbox, graphical display of the version tree,
and manifoldy graphical support of project maintenance. 

%prep
%setup -q -n CrossVC

%build
qmake -o Makefile lincvs.pro
make
strip crossvc.bin

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}
cp -a %{installdir} %{buildroot}%{_datadir}
INSTALL_ROOT=%{buildroot}%{_datadir}/ make install
mkdir -p %{buildroot}%{_bindir}
# create startscript
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh

exec %{_datadir}/%{installdir}/AppRun "\$@"
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}
# get rid of startscript template
rm -f %{buildroot}%{_datadir}/%{installdir}/%{name}
chmod 755 %{buildroot}%{_bindir}/%{name}
chmod 755 %{buildroot}%{_datadir}/%{installdir}/AppRun
chmod 644 %{buildroot}%{_datadir}/%{installdir}/AppIcon.xpm
chmod 644 %{buildroot}%{_datadir}/%{installdir}/AppInfo.xml



install -m 755 -d %{buildroot}%{_datadir}/applications

install -m 755 %{SOURCE1} %{buildroot}%{_datadir}/applications

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING LICENSE NEWS README THANKS VERSION
%doc doc
%{_datadir}/%{installdir}*
%{_bindir}/*
%{_datadir}/applications/crossvc.desktop

%changelog
* Thu Oct 25 2007 Christian Metzen <metzench@ccux-linux.de> 1.5.2-2
- permission bugfix
* Thu Oct 25 2007 Christian Metzen <metzench@ccux-linux.de> 1.5.2-1
- Version update, package rename to crossvc
* Fri Dec 16 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.4-1
- Version update
* Fri Aug 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.3-2
- Fixed .desktop file
* Fri Aug 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.3-1
- Initial Release